curs_overlay(3)

NAME
overlay, overwrite, copywin - overlay and manipulate overlapped ncurses windows

SYNOPSIS
#include <ncurses.h> int overlay(WINDOW *srcwin, WINDOW *dstwin);
int overwrite(WINDOW *srcwin, WINDOW *dstwin);
int copywin(WINDOW *srcwin, WINDOW *dstwin, int sminrow,
      int smincol, int dminrow, int dmincol, int dmaxrow,
      int dmaxcol, int overlay);

DESCRIPTION
The overlay and overwrite routines overlay srcwin on top of dstwin. scrwin and dstwin are not required to be the same size; only text where the two windows overlap is copied. The difference is that overlay is non-destructive (blanks are not copied) whereas overwrite is destructive. The copywin routine provides a finer granularity of control over the overlay and overwrite routines. Like in the prefresh routine, a rectangle is specified in the destination window, (dminrow, dmincol) and (dmaxrow, dmaxcol), and the upper-left-corner coordinates of the source window, (sminrow, smincol). If the argument overlay is true, then copying is non-destructive, as in overlay.

RETURN VALUE
Routines that return an integer return ERR upon failure and an integer value other than ERR upon successful completion.

NOTES
Note that overlay and overwrite may be macros.

SEE ALSO
ncurses(3), curs_pad(3), curs_refresh(3)